Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1219669 - Using dnf and gnome-software at the same time can break rpm [NEEDINFO]
Using dnf and gnome-software at the same time can break rpm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
: 1227401 1227515 1299234 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-07 19:26 EDT by Timur Kristóf
Modified: 2016-07-19 15:34 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:34:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jzeleny: needinfo? (rhughes)


Attachments (Terms of Use)

  None (edit)
Description Timur Kristóf 2015-05-07 19:26:50 EDT
I'm not sure if this is an issue with dnf or gnome-software. But after attempting to use both at the same time, rpm is broken.

Version-Release number of selected component (if applicable):



Steps to Reproduce:
1. Open a root terminal
2. dnf install gimp* -x *-devel*
3. Start gnome-software
4. Start installing something with gnome-software
5. Ctrl+C out of the dnf process in the terminal

Actual results:
gnome-software tells that it can't install the packages you asked it to install
rpm stops working entirely and says: "error: db5 error(-30973) from dbenv->open: BDB0087 DB_RUNRECOVERY: Fatal error, run database recovery"

Expected results:
After Ctrl+C'ing out of dnf, gnome-software should successfully install the packages it was asked to install and rpm should not break
Comment 1 Tim Lauridsen 2015-05-08 01:12:49 EDT
thinks this should be filled against gnome-software, it should check is rpm is already in use
Comment 2 Jan Zeleny 2015-05-12 02:36:42 EDT
There are two things I can see here. First of all, dnf should properly close the rpmdb when Ctrl+C occurs (not sure if it does). Then there is rpmdb access synchronization from multiple processes at once. Adding Richard to CC, as he might have some insight what's happening.
Comment 3 Honza Silhan 2015-07-22 07:37:29 EDT
We should check to close rpm transaction properly in DNF after hitting ctrl+c.
Comment 4 Honza Silhan 2015-07-24 07:11:25 EDT
*** Bug 1227401 has been marked as a duplicate of this bug. ***
Comment 5 Honza Silhan 2015-07-24 07:12:52 EDT
*** Bug 1227515 has been marked as a duplicate of this bug. ***
Comment 6 Michal Luscon 2016-01-20 03:49:47 EST
*** Bug 1299234 has been marked as a duplicate of this bug. ***
Comment 7 Malcolm VanOrder 2016-01-21 16:39:52 EST
I've just duplicated again(after opening 1299234).

I'm in KDE Plasma Desktop on Fedora 23 x86_64

I do not get any errors, and nothing breaks.  However, dnf and gnome-software are able to install/upgrade packages at the same time.
Comment 8 John Dulaney 2016-03-12 13:37:47 EST
Are any of y'all still able to hit this bug?  How about with Fedora 24?
Comment 9 Fedora Admin XMLRPC Client 2016-07-08 05:27:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2016-07-19 15:34:18 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.